Summary: Display new system news at login.
Name: sysnews
Version: 0.8
Release: 8

Source: ftp://sunsite.unc.edu/pub/Linux/system/Admin/login/news-0.8.tgz
Copyright: distributable
Group: Utilities/System
Requires: setup >= 1.7
Requires: crontabs >= 1.5
Requires: sh-utils

Packager: Andrea Borgia <borgia@students.cs.unibo.it>
BuildRoot: /tmp/news-buildroot


%description
This program is used to display system related news to the users at login.
it should be placed in the system-wide startup file of the shells available
on the system. (/etc/profile for bash/sh, /etc/csh.login for csh/tcsh,
/etc/zprofile for zsh, etc..), so its executed every time a user logs in.
(i suggest to use `news -n', that way only article titles will be displayed
and the user can decide when s/he wants to read it)
the system news is kept in a directory /var/sysnews (this can be changed)
where each sysnews article is a separate file (with the filename being
the sysnews title.)
to add a system news article, just edit one with your favorite editor
and copy it /var/sysnews


%prep
%setup -n sysnews


%build
make


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
mkdir -p $RPM_BUILD_ROOT/var/sysnews
mkdir -p $RPM_BUILD_ROOT/etc/profile.d
mkdir -p $RPM_BUILD_ROOT/etc/cron.daily

cp news $RPM_BUILD_ROOT/usr/bin
cp news.1 $RPM_BUILD_ROOT/usr/man/man1

cat <<EOF >$RPM_BUILD_ROOT/etc/profile.d/news.sh
if [ -t ]; then
     if [ ! -f \$HOME/.news_time ]; then
	cat <<-NEWUSER

	Tip:	Use "news" command to view system news when
	        available. See "man news" for more details.

	NEWUSER
     fi
     news -s
fi
EOF

cat <<EOF >$RPM_BUILD_ROOT/etc/profile.d/news.csh
/usr/bin/tty -s >& /dev/null
if ( ! \$status ) then
   if (! -f ~/.news_time ) then
	cat <<NEWUSER

Tip:	Use "news" command to view system news when
        available. See "man news" for more details.

NEWUSER
   endif
   news -s
endif
EOF

cat <<EOF >$RPM_BUILD_ROOT/etc/cron.daily/sysnews.cron
#!/bin/sh
#
# expire sysnews messages
#
PATH="/bin:/usr/bin:/sbin:/usr/sbin:/usr/local/bin:/usr/local/sbin"
FS=""
export PATH FS

news -e 30 -x NEWUSERS,POLICY

EOF


%clean
rm -rf $RPM_BUILD_DIR/sysnews
rm -rf $RPM_BUILD_ROOT


%files
%defattr(0755, root, root)
%attr(0644, -, -) %doc README
%dir /var/sysnews
%attr(0555, bin, bin) /usr/bin/news
%attr(0444, -, -) /usr/man/man1/news.1
/etc/profile.d
/etc/cron.daily/sysnews.cron


%changelog
* Wed Jan 20 1999 Andrea Borgia <borgia@students.cs.unibo.it>
- made buildroot capable
- removed unneeded post tag
- extended clean section
- changed default expire to 30 days instead of 45

* Mon May 29 1998 Arkadiusz Mikiewicz <misiek@misiek.eu.org>
- new package version
- added patch from Debian's version of sysnews
